Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyleOptionViewItemV2.ViewItemFeature

    java.lang.Object
      java.lang.Enum<QStyleOptionViewItemV2.ViewItemFeature>
          com.trolltech.qt.gui.QStyleOptionViewItemV2.ViewItemFeature

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyleOptionViewItemV2.ViewItemFeature>

Enclosing class:
  QStyleOptionViewItemV2

    public static enum QStyleOptionViewItemV2.ViewItemFeature

extends java.lang.Enum<QStyleOptionViewItemV2.ViewItemFeature>
implements QtEnumerator

This enum describles the different types of features an item can have.

Enum Constant Summary
`Alternate` Indicates that the item's background is rendered using alternateBase.
`None` Indicates a normal item.
`WrapText` Indicates an item with wrapped text.

Method Summary
`static QStyleOptionViewItemV2.ViewItemFeatures` | `createQFlags(QStyleOptionViewItemV2.ViewItemFeature... values)`
`static QStyleOptionViewItemV2.ViewItemFeature` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionViewItemV2.ViewItemFeature` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyleOptionViewItemV2.ViewItemFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final QStyleOptionViewItemV2.ViewItemFeature None

  Indicates a normal item.

### WrapText

    public static final QStyleOptionViewItemV2.ViewItemFeature WrapText

  Indicates an item with wrapped text.

### Alternate

    public static final QStyleOptionViewItemV2.ViewItemFeature Alternate

  Indicates that the item's background is rendered using alternateBase.

Method Detail

### values

    public static final QStyleOptionViewItemV2.ViewItemFeature[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyleOptionViewItemV2.ViewItemFeature c : QStyleOptionViewItemV2.ViewItemFeature.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyleOptionViewItemV2.ViewItemFeature valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QStyleOptionViewItemV2.ViewItemFeatures createQFlags(QStyleOptionViewItemV2.ViewItemFeature... values)

### resolve

    public static QStyleOptionViewItemV2.ViewItemFeature resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD